LibreOffice: GraphicStorageHandler Service Reference

LibreOffice LibreOffice 26.8 SDK API Reference

Loading...
Searching...
No Matches
GraphicStorageHandler Service Reference

Default implementation of XGraphicStorageHandler. More...

`import "GraphicStorageHandler.idl";`

Inheritance diagram for GraphicStorageHandler:

## Public Member Functions
| createWithStorage ([in] com::sun::star::embed::XStorage Storage)
Public Member Functions inherited from XGraphicStorageHandler
com::sun::star::graphic::XGraphic | loadGraphic ([in] string aURL)
| load a graphic defined by the URL from the storage
com::sun::star::graphic::XGraphic | loadGraphicFromOutputStream ([in] com::sun::star::io::XOutputStream xOutputStream)
| load a graphic from the output stream
string | saveGraphic ([in] com::sun::star::graphic::XGraphic xGraphic)
| save the graphic to the storage and return the URL reference to its location inside the storage
string | saveGraphicByName ([in] com::sun::star::graphic::XGraphic xGraphic, [out] string savedMimeType, [in] string aRequestedName)
| save the graphic to the storage with a requested name and return the URL reference to its location inside the storage and the mime type of the format that the graphic was saved to as an output parameter
com::sun::star::io::XInputStream | createInputStream ([in] com::sun::star::graphic::XGraphic xGraphic)
| create an input stream from the input graphic
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

Default implementation of XGraphicStorageHandler.

Since
  LibreOffice 6.1

## Member Function Documentation

## ◆ createWithStorage()

createWithStorage | ( | [in] com::sun::star::embed::XStorage | Storage | ) |

The documentation for this service was generated from the following file:

- com/sun/star/document/GraphicStorageHandler.idl